-- --General settings--
settings = {}
-- Show the first time help window
settings.first_start = 0
-- The GUI and in game dialogues language used
settings.language = "en_GB"

-- --Video settings--
settings.video_settings = {}
-- Screen resolution
settings.video_settings.screen_resx = 800
settings.video_settings.screen_resy = 600
-- Run the screen fullscreen/in a window
settings.video_settings.full_screen = false
-- Get the desired VSync mode. 0: No VSync, 1: VSync, 2: Swap Tearing
settings.video_settings.vsync_mode = 0
-- The game update loop mode. 0: for a more gentle update loop, 1 for performance.
settings.video_settings.game_update_mode = true
-- The UI Theme to load.
settings.video_settings.ui_theme = "Royal Silk"

-- --Audio settings--
settings.audio_settings = {}
-- Music and sounds volumes: [0.0 - 1.0]
settings.audio_settings.music_vol = 1
settings.audio_settings.sound_vol = 1

-- --Keyboard settings--
settings.key_settings = {}
-- Keyboard key SDL values.
settings.key_settings.up = 1073741906
settings.key_settings.down = 1073741905
settings.key_settings.left = 1073741904
settings.key_settings.right = 1073741903
settings.key_settings.confirm = 102
settings.key_settings.cancel = 100
settings.key_settings.menu = 115
settings.key_settings.minimap = 99
settings.key_settings.pause = 32

-- --Joystick settings--
settings.joystick_settings = {}
-- Tells whether joysticks input should be taken in account
settings.joystick_settings.input_disabled = true
-- The axis index number to be used as x/y axis
settings.joystick_settings.x_axis = 0
settings.joystick_settings.y_axis = 1
-- The joystick x/y axis dead zone [0-N] (Default: 8192)
settings.joystick_settings.threshold = 8192
-- Joystick keys index number [0-N] (0 is the first button)
settings.joystick_settings.confirm = 0
settings.joystick_settings.cancel = 1
settings.joystick_settings.menu = 2
settings.joystick_settings.minimap = 3
settings.joystick_settings.pause = 6
settings.joystick_settings.help = 15
settings.joystick_settings.quit = 7

-- --Game settings--
settings.game_options = {}
-- The game difficulty: 1: Easy, 2: Normal, 3: Hard. (Default: Normal)
-- The difficulty will change how much XP you win and will taint the enemies stats.
-- Certain scripted events may also change according to the current difficulty when entering a new map/battle.
settings.game_options.game_difficulty = 2
-- Speed of text displayed in dialogues (in characters per seconds) [1-N] (Default: 300)
settings.game_options.message_speed = 40
-- Whether the latest battle target should be kept in memory between two actions for each characters. (Default: 1)
settings.game_options.battle_target_cursor_memory = true
